commit 4c9a7a191892bec7919b14a50e468a30071d9d92
Author: GCC Administrator <gccadmin@gcc.gnu.org>
Date:   Tue Aug 31 02:18:36 2021

    Daily bump.

diff --git a/gcc/ChangeLog b/gcc/ChangeLog
index 55421aecb04..8e12f71601a 100644
--- a/gcc/ChangeLog
+++ b/gcc/ChangeLog
@@ -1,3 +1,18 @@
+2021-08-30  Haochen Gui  <guihaoc@gcc.gnu.org>
+
+	Backported from master:
+	2021-06-04  Haochen Gui  <guihaoc@gcc.gnu.org>
+
+	* config/rs6000/rs6000-call.c (rs6000_promote_function_mode):
+	Replace PROMOTE_MODE marco with its content.
+
+2021-08-30  Haochen Gui  <guihaoc@gcc.gnu.org>
+
+	Backported from master:
+	2021-06-04  Haochen Gui  <guihaoc@gcc.gnu.org>
+
+	* config/rs6000/rs6000.h (PROMOTE_MODE): Remove.
+
 2021-08-27  konglin1  <lingling.kong@intel.com>
 
 	PR target/101472
diff --git a/gcc/DATESTAMP b/gcc/DATESTAMP
index 3734a89f500..f870d4165fb 100644
--- a/gcc/DATESTAMP
+++ b/gcc/DATESTAMP
@@ -1 +1 @@
-20210830
+20210831
diff --git a/gcc/fortran/ChangeLog b/gcc/fortran/ChangeLog
index 2e9c81fca38..5f1d46a1840 100644
--- a/gcc/fortran/ChangeLog
+++ b/gcc/fortran/ChangeLog
@@ -1,3 +1,12 @@
+2021-08-30  Harald Anlauf  <anlauf@gmx.de>
+
+	Backported from master:
+	2021-08-28  Harald Anlauf  <anlauf@gmx.de>
+
+	PR fortran/87737
+	* resolve.c (resolve_entries): For functions of type CHARACTER
+	tighten the checks for matching characteristics.
+
 2021-08-28  Paul Thomas  <pault@gcc.gnu.org>
 
 	Backported from master:
diff --git a/gcc/po/ChangeLog b/gcc/po/ChangeLog
index 56f2cf09449..9d17a02b3f3 100644
--- a/gcc/po/ChangeLog
+++ b/gcc/po/ChangeLog
@@ -1,3 +1,7 @@
+2021-08-30  Joseph Myers  <joseph@codesourcery.com>
+
+	* sv.po: Update.
+
 2021-07-31  Joseph Myers  <joseph@codesourcery.com>
 
 	* fr.po: Update.
diff --git a/gcc/testsuite/ChangeLog b/gcc/testsuite/ChangeLog
index d67473c869b..ca1c12c4ae7 100644
--- a/gcc/testsuite/ChangeLog
+++ b/gcc/testsuite/ChangeLog
@@ -1,3 +1,28 @@
+2021-08-30  Harald Anlauf  <anlauf@gmx.de>
+
+	Backported from master:
+	2021-08-28  Harald Anlauf  <anlauf@gmx.de>
+
+	PR fortran/87737
+	* gfortran.dg/entry_24.f90: New test.
+
+2021-08-30  Haochen Gui  <guihaoc@gcc.gnu.org>
+
+	Backported from master:
+	2021-07-29  Haochen Gui  <guihaoc@gcc.gnu.org>
+
+	PR target/100952
+	* gcc.target/powerpc/pr56605.c: Change matching
+	conditions.
+	* gcc.target/powerpc/pr81348.c: Likewise.
+
+2021-08-30  Haochen Gui  <guihaoc@gcc.gnu.org>
+
+	Backported from master:
+	2021-06-04  Haochen Gui  <guihaoc@gcc.gnu.org>
+
+	* gcc.target/powerpc/not-promote-mode.c: New.
+
 2021-08-28  Paul Thomas  <pault@gcc.gnu.org>
 
 	Backported from master:

